> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Automation

> Retrieve a single automation by its unique identifier.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/automations/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/automations/{id}:
    get:
      tags:
        - Automations
      summary: Get Automation
      description: Retrieve a single automation by its unique identifier.
      operationId: c1.api.automations.v1.AutomationService.GetAutomation
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The unique identifier of the automation to retrieve.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.automations.v1.GetAutomationResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: GetAutomation
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Automation.GetAutomation(ctx, operations.C1APIAutomationsV1AutomationServiceGetAutomationRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetAutomationResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.automation.getAutomation({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.automations.v1.GetAutomationResponse:
      description: The GetAutomationResponse message.
      properties:
        automation:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.Automation'
            - type: 'null'
      title: Get Automation Response
      type: object
      x-speakeasy-name-override: GetAutomationResponse
    c1.api.automations.v1.Automation:
      description: >
        The Automation message.


        This message contains a oneof named disabled_reason. Only a single field
        of the following list may be set at a time:
          - circuitBreaker
      properties:
        annotations:
          additionalProperties:
            type: string
          description: |-
            Bounded key/value metadata bag for IaC marking and customer tags.
             See .rfcs/object-annotations.md §2. Limits: ≤16 entries; keys 1–128
             chars matching ^[A-Za-z][A-Za-z0-9._/-]{0,127}$; values 0–256 chars
             URL-safe ASCII; total serialized ≤ 4096 bytes. Keys matching ^c1/
             are reserved.

             Well-known keys: `managed_by`, `iac_workspace`,
             `iac_resource_address`, `iac_tool_version`.
          type: object
          x-speakeasy-terraform-plan-modifier:
            imports:
              - >-
                github.com/conductorone/terraform-provider-conductorone/internal/annotations
            schemaDefinition: annotations.PlanModifier()
        appId:
          description: the app id this workflow_template belongs to
          type:
            - string
            - 'null'
        automationSteps:
          description: The automationSteps field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationStep'
          type:
            - array
            - 'null'
        circuitBreaker:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.DisabledReasonCircuitBreaker
            - type: 'null'
        circuitBreakerMax:
          description: >-
            Circuit breaker rate cap: disable this automation if it executes
            more
             than circuit_breaker_max times in the trailing circuit_breaker_period.
             0 = circuit breaker off (default).
          format: uint32
          type:
            - integer
            - 'null'
        circuitBreakerPeriod:
          description: The circuitBreakerPeriod field.
          enum:
            - CIRCUIT_BREAKER_PERIOD_UNSPECIFIED
            - CIRCUIT_BREAKER_PERIOD_HOUR
            - CIRCUIT_BREAKER_PERIOD_DAY
            - CIRCUIT_BREAKER_PERIOD_WEEK
            - CIRCUIT_BREAKER_PERIOD_MONTH
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        context:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
            - type: 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        currentVersion:
          description: The currentVersion field.
          format: int64
          type:
            - string
            - 'null'
        description:
          description: The description field.
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type:
            - string
            - 'null'
        draftAutomationSteps:
          description: The draftAutomationSteps field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationStep'
          type:
            - array
            - 'null'
        draftTriggers:
          description: The draftTriggers field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationTrigger'
          type:
            - array
            - 'null'
        enabled:
          description: The enabled field.
          type:
            - boolean
            - 'null'
        id:
          description: The id field.
          readOnly: true
          type:
            - string
            - 'null'
        isDraft:
          description: The isDraft field.
          type:
            - boolean
            - 'null'
        lastExecutedAt:
          format: date-time
          type:
            - string
            - 'null'
        primaryTriggerType:
          description: The primaryTriggerType field.
          enum:
            - TRIGGER_TYPE_UNSPECIFIED
            - TRIGGER_TYPE_USER_PROFILE_CHANGE
            - TRIGGER_TYPE_APP_USER_CREATE
            - TRIGGER_TYPE_APP_USER_UPDATE
            - TRIGGER_TYPE_UNUSED_ACCESS
            - TRIGGER_TYPE_USER_CREATED
            - TRIGGER_TYPE_GRANT_FOUND
            - TRIGGER_TYPE_GRANT_DELETED
            - TRIGGER_TYPE_WEBHOOK
            - TRIGGER_TYPE_SCHEDULE
            - TRIGGER_TYPE_FORM
            - TRIGGER_TYPE_SCHEDULE_APP_USER
            - TRIGGER_TYPE_ACCESS_CONFLICT
            - TRIGGER_TYPE_SCHEDULE_NO_USER
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        triggers:
          description: The triggers field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationTrigger'
          type:
            - array
            - 'null'
      title: Automation
      type: object
      x-speakeasy-entity: Automation
      x-speakeasy-name-override: Automation
    c1.api.automations.v1.AutomationStep:
      description: >
        The AutomationStep message.


        This message contains a oneof named kind. Only a single field of the
        following list may be set at a time:
          - createAccessReview
          - waitForDuration
          - unenrollFromAllAccessProfiles
          - createRevokeTasks
          - createRevokeTasksV2
          - sendEmail
          - removeFromDelegation
          - runAutomation
          - updateUser
          - taskAction
          - webhook
          - connectorAction
          - connectorCreateAccount
          - grantEntitlements
          - sendSlackMessage
          - callFunction
          - accountLifecycleAction
          - generatePassword
          - evaluateExpressions
          - setCredential
          - storeCredential
      properties:
        accountLifecycleAction:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.AccountLifecycleAction
            - type: 'null'
        callFunction:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.CallFunction'
            - type: 'null'
        connectorAction:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.ConnectorAction'
            - type: 'null'
        connectorCreateAccount:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.ConnectorCreateAccount
            - type: 'null'
        createAccessReview:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.CreateAccessReview'
            - type: 'null'
        createRevokeTasks:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.CreateRevokeTasks'
            - type: 'null'
        createRevokeTasksV2:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.CreateRevokeTasksV2'
            - type: 'null'
        evaluateExpressions:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.EvaluateExpressions'
            - type: 'null'
        generatePassword:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.GeneratePassword'
            - type: 'null'
        grantEntitlements:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.GrantEntitlements'
            - type: 'null'
        removeFromDelegation:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.RemoveFromDelegation'
            - type: 'null'
        runAutomation:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.RunAutomation'
            - type: 'null'
        sendEmail:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.SendEmail'
            - type: 'null'
        sendSlackMessage:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.SendSlackMessage'
            - type: 'null'
        setCredential:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.SetCredential'
            - type: 'null'
        skipIfTrueCel:
          description: The skipIfTrueCel field.
          type:
            - string
            - 'null'
        stepDisplayName:
          description: The stepDisplayName field.
          type:
            - string
            - 'null'
        stepName:
          description: The stepName field.
          type:
            - string
            - 'null'
        storeCredential:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.StoreCredential'
            - type: 'null'
        taskAction:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.TaskAction'
            - type: 'null'
        unenrollFromAllAccessProfiles:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.UnenrollFromAllAccessProfiles
            - type: 'null'
        updateUser:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.UpdateUser'
            - type: 'null'
        waitForDuration:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.WaitForDuration'
            - type: 'null'
        webhook:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.Webhook'
            - type: 'null'
      title: Automation Step
      type: object
      x-speakeasy-name-override: AutomationStep
    c1.api.automations.v1.DisabledReasonCircuitBreaker:
      description: |-
        DisabledReasonCircuitBreaker carries the trip context when an automation
         has been auto-disabled by its rate cap. Returned on the parent Automation
         when read; not directly settable.
      properties:
        observedCount:
          description: Observed execution count in the period at trip time.
          format: uint32
          type:
            - integer
            - 'null'
        period:
          description: Snapshot of the period at trip time.
          enum:
            - CIRCUIT_BREAKER_PERIOD_UNSPECIFIED
            - CIRCUIT_BREAKER_PERIOD_HOUR
            - CIRCUIT_BREAKER_PERIOD_DAY
            - CIRCUIT_BREAKER_PERIOD_WEEK
            - CIRCUIT_BREAKER_PERIOD_MONTH
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        threshold:
          description: Snapshot of the threshold at trip time.
          format: uint32
          type:
            - integer
            - 'null'
        trippedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Disabled Reason Circuit Breaker
      type: object
      x-speakeasy-name-override: DisabledReasonCircuitBreaker
    c1.api.automations.v1.AutomationContext:
      description: The AutomationContext message.
      properties:
        context:
          additionalProperties: true
          type:
            - object
            - 'null'
      title: Automation Context
      type: object
      x-speakeasy-name-override: AutomationContext
    c1.api.automations.v1.AutomationTrigger:
      description: >
        Automation Triggers


        This message contains a oneof named kind. Only a single field of the
        following list may be set at a time:
          - userProfileChange
          - appUserCreated
          - appUserUpdated
          - usageBasedRevocation
          - userCreated
          - grantFound
          - grantDeleted
          - webhook
          - schedule
          - scheduleAppUser
          - accessConflict
          - scheduleNoUser
      properties:
        accessConflict:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AccessConflictTrigger'
            - type: 'null'
        appUserCreated:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AppUserCreatedTrigger'
            - type: 'null'
        appUserUpdated:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AppUserUpdatedTrigger'
            - type: 'null'
        grantDeleted:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.GrantDeletedTrigger'
            - type: 'null'
        grantFound:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.GrantFoundTrigger'
            - type: 'null'
        schedule:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.ScheduleTrigger'
            - type: 'null'
        scheduleAppUser:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.ScheduleTriggerAppUser
            - type: 'null'
        scheduleNoUser:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.ScheduleTriggerNoUser'
            - type: 'null'
        usageBasedRevocation:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.UsageBasedRevocationTrigger
            - type: 'null'
        userCreated:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.UserCreatedTrigger'
            - type: 'null'
        userProfileChange:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.UserProfileChangeTrigger
            - type: 'null'
        webhook:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.WebhookAutomationTrigger
            - type: 'null'
      title: Automation Trigger
      type: object
      x-speakeasy-name-override: AutomationTrigger
    c1.api.automations.v1.AccountLifecycleAction:
      description: >
        The AccountLifecycleAction message.


        This message contains a oneof named account_identifier. Only a single
        field of the following list may be set at a time:
          - accountRef
          - accountInContext
      properties:
        accountInContext:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AccountInContext'
            - type: 'null'
        accountRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AccountRef'
            - type: 'null'
        actionName:
          description: The actionName field.
          type:
            - string
            - 'null'
        connectorRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorRef'
            - type: 'null'
      title: Account Lifecycle Action
      type: object
      x-speakeasy-name-override: AccountLifecycleAction
    c1.api.automations.v1.CallFunction:
      description: The CallFunction message.
      properties:
        args:
          additionalProperties:
            type: string
          description: |-
            Arg name → CEL expression. Each value is evaluated against the
             workflow execution context (subject + completed step outputs) and the
             resolved values are passed to the function as JSON. Plain literals
             must be quoted as CEL strings (e.g. "'static-value'").
          type: object
        functionId:
          description: The functionId field.
          type:
            - string
            - 'null'
      title: Call Function
      type: object
      x-speakeasy-name-override: CallFunction
    c1.api.automations.v1.ConnectorAction:
      description: >
        The ConnectorAction message.


        This message contains a oneof named connector_identifier. Only a single
        field of the following list may be set at a time:
          - connectorRef
      properties:
        actionName:
          description: The actionName field.
          type:
            - string
            - 'null'
        argsTemplate:
          additionalProperties: true
          type:
            - object
            - 'null'
        connectorRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorRef'
            - type: 'null'
        resourceTypeId:
          description: The resourceTypeId field.
          type:
            - string
            - 'null'
      title: Connector Action
      type: object
      x-speakeasy-name-override: ConnectorAction
    c1.api.automations.v1.ConnectorCreateAccount:
      description: >
        The ConnectorCreateAccount message.


        This message contains a oneof named create_account_arguments. Only a
        single field of the following list may be set at a time:
          - userIdCel
          - userProperties
      properties:
        connectorRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorRef'
            - type: 'null'
        passwordCel:
          description: >-
            CEL expression referencing a GeneratePassword step output (e.g.
            "genStep.password").
             When set, the resolved password is encrypted for the connector and sent as CredentialOptions.EncryptedPassword.
          type:
            - string
            - 'null'
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `create_account_arguments` oneof.

            See the documentation for
            `c1.api.automations.v1.ConnectorCreateAccount` for more details.
          type:
            - string
            - 'null'
        userProperties:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.UserProperties'
            - type: 'null'
      title: Connector Create Account
      type: object
      x-speakeasy-name-override: ConnectorCreateAccount
    c1.api.automations.v1.CreateAccessReview:
      description: The CreateAccessReview message.
      properties:
        accessReviewTemplateCel:
          description: The accessReviewTemplateCel field.
          type:
            - string
            - 'null'
        accessReviewTemplateId:
          description: The accessReviewTemplateId field.
          type:
            - string
            - 'null'
        campaignName:
          description: >-
            Optional campaign name. If not provided, the campaign name will be
            the access review template name.
          type:
            - string
            - 'null'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdsCel:
          description: The userIdsCel field.
          type:
            - string
            - 'null'
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
      title: Create Access Review
      type: object
      x-speakeasy-name-override: CreateAccessReview
    c1.api.automations.v1.CreateRevokeTasks:
      description: The CreateRevokeTasks message.
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
        appEntitlementRefsCel:
          description: The appEntitlementRefsCel field.
          type:
            - string
            - 'null'
        excludedAppEntitlementRefs:
          description: The excludedAppEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
        excludedAppEntitlementRefsCel:
          description: The excludedAppEntitlementRefsCel field.
          type:
            - string
            - 'null'
        revokeAll:
          description: The revokeAll field.
          type:
            - boolean
            - 'null'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdCel:
          description: The userIdCel field.
          type:
            - string
            - 'null'
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
      title: Create Revoke Tasks
      type: object
      x-speakeasy-name-override: CreateRevokeTasks
    c1.api.automations.v1.CreateRevokeTasksV2:
      description: >
        The CreateRevokeTasksV2 message.


        This message contains a oneof named user. Only a single field of the
        following list may be set at a time:
          - userIdCel
          - userRef
          - useSubjectUser


        This message contains a oneof named inclusion. Only a single field of
        the following list may be set at a time:
          - inclusionList
          - inclusionAll
          - inclusionCriteria
          - inclusionListCel
          - inclusionAccessOnly


        This message contains a oneof named exclusion. Only a single field of
        the following list may be set at a time:
          - exclusionNone
          - exclusionList
          - exclusionCriteria
          - exclusionListCel
      properties:
        exclusionCriteria:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementExclusionCriteria
            - type: 'null'
        exclusionList:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementExclusionList
            - type: 'null'
        exclusionListCel:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementExclusionListCel
            - type: 'null'
        exclusionNone:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementExclusionNone
            - type: 'null'
        inclusionAccessOnly:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionAccessOnly
            - type: 'null'
        inclusionAll:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionAll
            - type: 'null'
        inclusionCriteria:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionCriteria
            - type: 'null'
        inclusionList:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionList
            - type: 'null'
        inclusionListCel:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionListCel
            - type: 'null'
        useSubjectUser:
          description: >-
            The useSubjectUser field.

            This field is part of the `user` oneof.

            See the documentation for
            `c1.api.automations.v1.CreateRevokeTasksV2` for more details.
          type:
            - boolean
            - 'null'
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `user` oneof.

            See the documentation for
            `c1.api.automations.v1.CreateRevokeTasksV2` for more details.
          type:
            - string
            - 'null'
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
      title: Create Revoke Tasks V 2
      type: object
      x-speakeasy-name-override: CreateRevokeTasksV2
    c1.api.automations.v1.EvaluateExpressions:
      description: The EvaluateExpressions message.
      properties:
        expressions:
          description: The expressions field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.Expression'
          type:
            - array
            - 'null'
      title: Evaluate Expressions
      type: object
      x-speakeasy-name-override: EvaluateExpressions
    c1.api.automations.v1.GeneratePassword:
      description: The GeneratePassword message.
      properties:
        passwordPolicyId:
          deprecated: true
          description: 'Deprecated: password policy ID lookup is no longer used.'
          type:
            - string
            - 'null'
        policy:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GeneratePasswordPolicy
            - type: 'null'
      title: Generate Password
      type: object
      x-speakeasy-name-override: GeneratePassword
    c1.api.automations.v1.GrantEntitlements:
      description: >
        The GrantEntitlements message.


        This message contains a oneof named inclusion. Only a single field of
        the following list may be set at a time:
          - inclusionList
          - inclusionCriteria
          - inclusionListCel


        This message contains a oneof named exclusion. Only a single field of
        the following list may be set at a time:
          - exclusionNone
          - exclusionList
          - exclusionCriteria
          - exclusionListCel
      properties:
        exclusionCriteria:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantEntitlementExclusionCriteria
            - type: 'null'
        exclusionList:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantEntitlementExclusionList
            - type: 'null'
        exclusionListCel:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantEntitlementExclusionListCel
            - type: 'null'
        exclusionNone:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantEntitlementExclusionNone
            - type: 'null'
        inclusionCriteria:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantEntitlementInclusionCriteria
            - type: 'null'
        inclusionList:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantEntitlementInclusionList
            - type: 'null'
        inclusionListCel:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantEntitlementInclusionListCel
            - type: 'null'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdCel:
          description: The userIdCel field.
          type:
            - string
            - 'null'
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
      title: Grant Entitlements
      type: object
      x-speakeasy-name-override: GrantEntitlements
    c1.api.automations.v1.RemoveFromDelegation:
      description: >
        RemoveFromDelegation: find all users that have the target user as their
        delegated user, and modify the delegation.


        This message contains a oneof named replacement_user. Only a single
        field of the following list may be set at a time:
          - replacementUserIdCel
          - replacementUserRef
      properties:
        replacementUserIdCel:
          description: >-
            The user who will replace the target user's delegation

            This field is part of the `replacement_user` oneof.

            See the documentation for
            `c1.api.automations.v1.RemoveFromDelegation` for more details.
          type:
            - string
            - 'null'
        replacementUserRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdCel:
          description: The userIdCel field.
          type:
            - string
            - 'null'
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
      title: Remove From Delegation
      type: object
      x-speakeasy-name-override: RemoveFromDelegation
    c1.api.automations.v1.RunAutomation:
      description: >
        RunAutomation: kick off the execution of an automation template.


        This message contains a oneof named automation_template. Only a single
        field of the following list may be set at a time:
          - automationTemplateRef
          - automationTemplateIdCel
      properties:
        automationTemplateIdCel:
          description: >-
            The automationTemplateIdCel field.

            This field is part of the `automation_template` oneof.

            See the documentation for `c1.api.automations.v1.RunAutomation` for
            more details.
          type:
            - string
            - 'null'
        automationTemplateRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AutomationTemplateRef'
            - type: 'null'
        context:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
            - type: 'null'
      title: Run Automation
      type: object
      x-speakeasy-name-override: RunAutomation
    c1.api.automations.v1.SendEmail:
      description: The SendEmail message.
      properties:
        body:
          description: The body field.
          type:
            - string
            - 'null'
        email:
          deprecated: true
          description: >-
            Deprecated: use email_cel instead. Static email field shipped behind
            FF 541 (SKU_MANUAL)
             with zero tenant enablement. CEL subsumes static: '"ops@example.com"' is valid CEL.
          type:
            - string
            - 'null'
        emailCel:
          description: >-
            CEL expression resolving to one or more email addresses (string or
            list<string>).
             Evaluated against the workflow execution context (trigger + completed steps).
             Static emails work too: '"ops@example.com"' is valid CEL.
             Supports list<string> for multiple recipients: '["a@x.com", "b@x.com"]'.
             Requires the tenant to have a TenantEmailProvider configured.
          type:
            - string
            - 'null'
        subject:
          description: The subject field.
          type:
            - string
            - 'null'
        title:
          description: The title field.
          type:
            - string
            - 'null'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdsCel:
          description: The userIdsCel field.
          type:
            - string
            - 'null'
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
      title: Send Email
      type: object
      x-speakeasy-name-override: SendEmail
    c1.api.automations.v1.SendSlackMessage:
      description: >
        SendSlackMessage posts to a channel or DMs one or more users. Delivery
        mode is
         inferred from which fields are populated: DM if any user field is set
         (use_subject_user, user_ids_cel, user_refs), otherwise channel. Priority for DM
         recipient resolution: use_subject_user > user_ids_cel > user_refs.

        This message contains a oneof named channel. Only a single field of the
        following list may be set at a time:
          - channelName
          - channelNameCel
      properties:
        body:
          description: The body field.
          type:
            - string
            - 'null'
        channelName:
          description: >-
            The channelName field.

            This field is part of the `channel` oneof.

            See the documentation for `c1.api.automations.v1.SendSlackMessage`
            for more details.
          type:
            - string
            - 'null'
        channelNameCel:
          description: >-
            The channelNameCel field.

            This field is part of the `channel` oneof.

            See the documentation for `c1.api.automations.v1.SendSlackMessage`
            for more details.
          type:
            - string
            - 'null'
        useSubjectUser:
          description: The useSubjectUser field.
          type:
            - boolean
            - 'null'
        userIdsCel:
          description: The userIdsCel field.
          type:
            - string
            - 'null'
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
      title: Send Slack Message
      type: object
      x-speakeasy-name-override: SendSlackMessage
    c1.api.automations.v1.SetCredential:
      description: >
        SetCredential submits a RotateCredentials baton task to the target
        connector,
         re-encrypting the given password CEL expression with the connector's public JWK.

        This message contains a oneof named connector_identifier. Only a single
        field of the following list may be set at a time:
          - connectorRef
      properties:
        accountIdCel:
          description: The accountIdCel field.
          type:
            - string
            - 'null'
        connectorRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorRef'
            - type: 'null'
        passwordCel:
          description: The passwordCel field.
          type:
            - string
            - 'null'
      title: Set Credential
      type: object
      x-speakeasy-name-override: SetCredential
    c1.api.automations.v1.StoreCredential:
      description: |-
        StoreCredential stores a credential from GeneratePassword in a vault.
         Supports Paper Vault (SSO/email) and App Vault (entitlement-bound).
      properties:
        appIdCel:
          description: CEL expression that resolves to app ID (App Vault only)
          type:
            - string
            - 'null'
        authType:
          description: Authentication type for the paper vault recipient (Paper Vault only)
          enum:
            - STORE_CREDENTIAL_AUTH_TYPE_UNSPECIFIED
            - STORE_CREDENTIAL_AUTH_TYPE_SSO_INTERNAL
            - STORE_CREDENTIAL_AUTH_TYPE_VERIFY_EMAIL
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        credentialCel:
          description: >-
            CEL expression that resolves to the encrypted credential from
            GeneratePassword
          type:
            - string
            - 'null'
        expiry:
          format: duration
          type:
            - string
            - 'null'
        labelCel:
          description: Optional display label for the vault
          type:
            - string
            - 'null'
        maxViews:
          description: >-
            Maximum number of views (0 = unlimited, default 1) (Paper Vault
            only)
          format: uint32
          type:
            - integer
            - 'null'
        recipientCel:
          description: >-
            CEL expression resolving to the C1 user ID of the recipient
            (SSO_INTERNAL / App Vault)
          type:
            - string
            - 'null'
        recipientEmailCel:
          description: >-
            CEL expression resolving to a recipient email address (Paper Vault +
            VERIFY_EMAIL only)
          type:
            - string
            - 'null'
        ttl:
          format: duration
          type:
            - string
            - 'null'
        vaultType:
          description: >-
            Vault type selector (default: PAPER_VAULT for backward
            compatibility)
          enum:
            - STORE_CREDENTIAL_VAULT_TYPE_UNSPECIFIED
            - STORE_CREDENTIAL_VAULT_TYPE_PAPER_VAULT
            - STORE_CREDENTIAL_VAULT_TYPE_APP_VAULT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Store Credential
      type: object
      x-speakeasy-name-override: StoreCredential
    c1.api.automations.v1.TaskAction:
      description: >
        The TaskAction message.


        This message contains a oneof named action. Only a single field of the
        following list may be set at a time:
          - close
          - reassign
      properties:
        close:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.CloseAction'
            - type: 'null'
        reassign:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.ReassignAction'
            - type: 'null'
        taskTypes:
          description: The taskTypes field.
          items:
            enum:
              - TASK_TYPE_UNSPECIFIED
              - TASK_TYPE_REQUEST
              - TASK_TYPE_REVOKE
              - TASK_TYPE_REVIEW
            type: string
            x-speakeasy-unknown-values: allow
          type:
            - array
            - 'null'
        taskUserRelation:
          description: The taskUserRelation field.
          enum:
            - TASK_USER_RELATION_UNSPECIFIED
            - TASK_USER_RELATION_ASSIGNEE
            - TASK_USER_RELATION_SUBJECT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Task Action
      type: object
      x-speakeasy-name-override: TaskAction
    c1.api.automations.v1.UnenrollFromAllAccessProfiles:
      description: The UnenrollFromAllAccessProfiles message.
      properties:
        catalogIds:
          description: >-
            Optional list of catalog IDs to unenroll from. If empty, unenroll
            from all catalogs.
          items:
            type: string
          type:
            - array
            - 'null'
        catalogIdsCel:
          description: >-
            CEL expression to dynamically select catalog IDs. If provided,
            overrides catalog_ids.
          type:
            - string
            - 'null'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdsCel:
          description: The userIdsCel field.
          type:
            - string
            - 'null'
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
      title: Unenroll From All Access Profiles
      type: object
      x-speakeasy-name-override: UnenrollFromAllAccessProfiles
    c1.api.automations.v1.UpdateUser:
      description: >
        The UpdateUser message.


        This message contains a oneof named user. Only a single field of the
        following list may be set at a time:
          - userIdCel
          - userRef


        This message contains a oneof named user_status. Only a single field of
        the following list may be set at a time:
          - userStatusEnum
          - userStatusCel
      properties:
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `user` oneof.

            See the documentation for `c1.api.automations.v1.UpdateUser` for
            more details.
          type:
            - string
            - 'null'
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
        userStatusCel:
          description: >-
            The userStatusCel field.

            This field is part of the `user_status` oneof.

            See the documentation for `c1.api.automations.v1.UpdateUser` for
            more details.
          type:
            - string
            - 'null'
        userStatusEnum:
          description: >-
            The userStatusEnum field.

            This field is part of the `user_status` oneof.

            See the documentation for `c1.api.automations.v1.UpdateUser` for
            more details.
          enum:
            - UNKNOWN
            - ENABLED
            - DISABLED
            - DELETED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Update User
      type: object
      x-speakeasy-name-override: UpdateUser
    c1.api.automations.v1.WaitForDuration:
      description: The WaitForDuration message.
      properties:
        duration:
          format: duration
          type:
            - string
            - 'null'
      title: Wait For Duration
      type: object
      x-speakeasy-name-override: WaitForDuration
    c1.api.automations.v1.Webhook:
      description: >
        The Webhook message.


        This message contains a oneof named webhook_identifier. Only a single
        field of the following list may be set at a time:
          - webhookId
          - webhookIdCel
      properties:
        payload:
          additionalProperties: true
          type:
            - object
            - 'null'
        webhookId:
          description: >-
            The webhookId field.

            This field is part of the `webhook_identifier` oneof.

            See the documentation for `c1.api.automations.v1.Webhook` for more
            details.
          type:
            - string
            - 'null'
        webhookIdCel:
          description: >-
            The webhookIdCel field.

            This field is part of the `webhook_identifier` oneof.

            See the documentation for `c1.api.automations.v1.Webhook` for more
            details.
          type:
            - string
            - 'null'
      title: Webhook
      type: object
      x-speakeasy-name-override: Webhook
    c1.api.automations.v1.AccessConflictTrigger:
      description: >
        The AccessConflictTrigger message.


        This message contains a oneof named conflict_monitor_selector. Only a
        single field of the following list may be set at a time:
          - conflictMonitorRefs
          - allConflictMonitors
      properties:
        allConflictMonitors:
          description: >-
            The allConflictMonitors field.

            This field is part of the `conflict_monitor_selector` oneof.

            See the documentation for
            `c1.api.automations.v1.AccessConflictTrigger` for more details.
          type:
            - boolean
            - 'null'
        conflictMonitorRefs:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.ConflictMonitorRefs'
            - type: 'null'
      title: Access Conflict Trigger
      type: object
      x-speakeasy-name-override: AccessConflictTrigger
    c1.api.automations.v1.AppUserCreatedTrigger:
      description: >
        The AppUserCreatedTrigger message.


        This message contains a oneof named app_identifier. Only a single field
        of the following list may be set at a time:
          - appId
          - appIdCel
      properties:
        appId:
          description: >-
            The appId field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserCreatedTrigger` for more details.
          type:
            - string
            - 'null'
        appIdCel:
          description: >-
            The appIdCel field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserCreatedTrigger` for more details.
          type:
            - string
            - 'null'
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
      title: App User Created Trigger
      type: object
      x-speakeasy-name-override: AppUserCreatedTrigger
    c1.api.automations.v1.AppUserUpdatedTrigger:
      description: >
        The AppUserUpdatedTrigger message.


        This message contains a oneof named app_identifier. Only a single field
        of the following list may be set at a time:
          - appId
          - appIdCel
      properties:
        appId:
          description: >-
            The appId field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserUpdatedTrigger` for more details.
          type:
            - string
            - 'null'
        appIdCel:
          description: >-
            The appIdCel field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserUpdatedTrigger` for more details.
          type:
            - string
            - 'null'
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
      title: App User Updated Trigger
      type: object
      x-speakeasy-name-override: AppUserUpdatedTrigger
    c1.api.automations.v1.GrantDeletedTrigger:
      description: The GrantDeletedTrigger message.
      properties:
        grantTriggerFilter:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.GrantTriggerFilter'
            - type: 'null'
      title: Grant Deleted Trigger
      type: object
      x-speakeasy-name-override: GrantDeletedTrigger
    c1.api.automations.v1.GrantFoundTrigger:
      description: The GrantFoundTrigger message.
      properties:
        grantTriggerFilter:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.GrantTriggerFilter'
            - type: 'null'
      title: Grant Found Trigger
      type: object
      x-speakeasy-name-override: GrantFoundTrigger
    c1.api.automations.v1.ScheduleTrigger:
      description: The ScheduleTrigger message.
      properties:
        advanced:
          description: The advanced field.
          type:
            - boolean
            - 'null'
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
        cronSpec:
          description: The cronSpec field.
          type:
            - string
            - 'null'
        skipIfTrueCel:
          deprecated: true
          description: The skipIfTrueCel field.
          type:
            - string
            - 'null'
        start:
          format: date-time
          type:
            - string
            - 'null'
        timezone:
          description: The timezone field.
          type:
            - string
            - 'null'
      title: Schedule Trigger
      type: object
      x-speakeasy-name-override: ScheduleTrigger
    c1.api.automations.v1.ScheduleTriggerAppUser:
      description: The ScheduleTriggerAppUser message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
        cronSpec:
          description: The cronSpec field.
          type:
            - string
            - 'null'
        start:
          format: date-time
          type:
            - string
            - 'null'
        timezone:
          description: The timezone field.
          type:
            - string
            - 'null'
      title: Schedule Trigger App User
      type: object
      x-speakeasy-name-override: ScheduleTriggerAppUser
    c1.api.automations.v1.ScheduleTriggerNoUser:
      description: >-
        ScheduleTriggerNoUser fires on a cron schedule with no subject user
        (e.g. reports, syncs, orchestration).
         Minimum cron interval is enforced at 1 hour in validation.
      properties:
        advanced:
          description: The advanced field.
          type:
            - boolean
            - 'null'
        cronSpec:
          description: The cronSpec field.
          type:
            - string
            - 'null'
        start:
          format: date-time
          type:
            - string
            - 'null'
        timezone:
          description: The timezone field.
          type:
            - string
            - 'null'
      title: Schedule Trigger No User
      type: object
      x-speakeasy-name-override: ScheduleTriggerNoUser
    c1.api.automations.v1.UsageBasedRevocationTrigger:
      description: >
        The UsageBasedRevocationTrigger message.


        This message contains a oneof named cold_start_schedule. Only a single
        field of the following list may be set at a time:
          - runImmediately
          - runDelayed
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        enabledAt:
          format: date-time
          type:
            - string
            - 'null'
        excludedGroupRefs:
          description: The excludedGroupRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
        excludedUserRefs:
          description: The excludedUserRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
        includeUsersWithNoActivity:
          description: The includeUsersWithNoActivity field.
          type:
            - boolean
            - 'null'
        runDelayed:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.RunDelayed'
            - type: 'null'
        runImmediately:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.RunImmediately'
            - type: 'null'
        targetedAppUserTypes:
          description: The targetedAppUserTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          type:
            - array
            - 'null'
        targetedEntitlementRefs:
          description: The targetedEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
        unusedForDays:
          description: The unusedForDays field.
          format: uint32
          type:
            - integer
            - 'null'
      title: Usage Based Revocation Trigger
      type: object
      x-speakeasy-name-override: UsageBasedRevocationTrigger
    c1.api.automations.v1.UserCreatedTrigger:
      description: The UserCreatedTrigger message.
      properties:
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
      title: User Created Trigger
      type: object
      x-speakeasy-name-override: UserCreatedTrigger
    c1.api.automations.v1.UserProfileChangeTrigger:
      description: The UserProfileChangeTrigger message.
      properties:
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
      title: User Profile Change Trigger
      type: object
      x-speakeasy-name-override: UserProfileChangeTrigger
    c1.api.automations.v1.WebhookAutomationTrigger:
      description: >
        The WebhookAutomationTrigger message.


        This message contains a oneof named auth_config. Only a single field of
        the following list may be set at a time:
          - jwt
          - hmac
          - capabilityUrl
      properties:
        capabilityUrl:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.WebhookListenerAuthCapabilityURL
            - type: 'null'
        hmac:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.WebhookListenerAuthHMAC
            - type: 'null'
        jwt:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.WebhookListenerAuthJWT
            - type: 'null'
        listenerId:
          description: Optional existing listener ID (hidden field from frontend)
          type:
            - string
            - 'null'
      title: Webhook Automation Trigger
      type: object
      x-speakeasy-name-override: WebhookAutomationTrigger
    c1.api.automations.v1.AccountInContext:
      description: The AccountInContext message.
      title: Account In Context
      type: object
      x-speakeasy-name-override: AccountInContext
    c1.api.automations.v1.AccountRef:
      description: The AccountRef message.
      properties:
        accountIdCel:
          description: The accountIdCel field.
          type:
            - string
            - 'null'
      title: Account Ref
      type: object
      x-speakeasy-name-override: AccountRef
    c1.api.app.v1.ConnectorRef:
      description: The ConnectorRef message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
      title: Connector Ref
      type: object
      x-speakeasy-name-override: ConnectorRef
    c1.api.automations.v1.UserProperties:
      description: The UserProperties message.
      properties:
        displayNameCel:
          description: The displayNameCel field.
          type:
            - string
            - 'null'
        emailCel:
          description: The emailCel field.
          type:
            - string
            - 'null'
        profileAttributeCel:
          description: The profileAttributeCel field.
          type:
            - string
            - 'null'
        usernameCel:
          description: The usernameCel field.
          type:
            - string
            - 'null'
      title: User Properties
      type: object
      x-speakeasy-name-override: UserProperties
    c1.api.user.v1.UserRef:
      description: A reference to a user.
      properties:
        id:
          description: The id of the user.
          type:
            - string
            - 'null'
      title: User Ref
      type: object
      x-speakeasy-name-override: UserRef
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
    c1.api.automations.v1.EntitlementExclusionCriteria:
      description: The EntitlementExclusionCriteria message.
      properties:
        excludedAppIds:
          description: The excludedAppIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        excludedComplianceFrameworkIds:
          description: The excludedComplianceFrameworkIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        excludedResourceTypeIds:
          description: The excludedResourceTypeIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        excludedRiskLevelIds:
          description: The excludedRiskLevelIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Entitlement Exclusion Criteria
      type: object
      x-speakeasy-name-override: EntitlementExclusionCriteria
    c1.api.automations.v1.EntitlementExclusionList:
      description: The EntitlementExclusionList message.
      properties:
        excludedAppEntitlementRefs:
          description: The excludedAppEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
      title: Entitlement Exclusion List
      type: object
      x-speakeasy-name-override: EntitlementExclusionList
    c1.api.automations.v1.EntitlementExclusionListCel:
      description: The EntitlementExclusionListCel message.
      properties:
        excludedAppEntitlementRefsCel:
          description: The excludedAppEntitlementRefsCel field.
          type:
            - string
            - 'null'
      title: Entitlement Exclusion List Cel
      type: object
      x-speakeasy-name-override: EntitlementExclusionListCel
    c1.api.automations.v1.EntitlementExclusionNone:
      description: The EntitlementExclusionNone message.
      title: Entitlement Exclusion None
      type: object
      x-speakeasy-name-override: EntitlementExclusionNone
    c1.api.automations.v1.EntitlementInclusionAccessOnly:
      description: |-
        EntitlementInclusionAccessOnly resolves to the system-managed access
         entitlement on every app the subject user has an AppUser on. Use this to
         deprovision app accounts without fanning out to every group, role, or
         permission inside each app — produces at most one revoke ticket per app.
      title: Entitlement Inclusion Access Only
      type: object
      x-speakeasy-name-override: EntitlementInclusionAccessOnly
    c1.api.automations.v1.EntitlementInclusionAll:
      description: The EntitlementInclusionAll message.
      title: Entitlement Inclusion All
      type: object
      x-speakeasy-name-override: EntitlementInclusionAll
    c1.api.automations.v1.EntitlementInclusionCriteria:
      description: The EntitlementInclusionCriteria message.
      properties:
        appIds:
          description: The appIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        complianceFrameworkIds:
          description: The complianceFrameworkIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        resourceTypeIds:
          description: The resourceTypeIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        riskLevelIds:
          description: The riskLevelIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Entitlement Inclusion Criteria
      type: object
      x-speakeasy-name-override: EntitlementInclusionCriteria
    c1.api.automations.v1.EntitlementInclusionList:
      description: The EntitlementInclusionList message.
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
      title: Entitlement Inclusion List
      type: object
      x-speakeasy-name-override: EntitlementInclusionList
    c1.api.automations.v1.EntitlementInclusionListCel:
      description: The EntitlementInclusionListCel message.
      properties:
        appEntitlementRefsCel:
          description: The appEntitlementRefsCel field.
          type:
            - string
            - 'null'
      title: Entitlement Inclusion List Cel
      type: object
      x-speakeasy-name-override: EntitlementInclusionListCel
    c1.api.automations.v1.Expression:
      description: The Expression message.
      properties:
        expressionCel:
          description: The expressionCel field.
          type:
            - string
            - 'null'
        isSecret:
          description: The isSecret field.
          type:
            - boolean
            - 'null'
        key:
          description: The key field.
          type:
            - string
            - 'null'
      title: Expression
      type: object
      x-speakeasy-name-override: Expression
    c1.api.automations.v1.GeneratePasswordPolicy:
      description: >
        GeneratePasswordPolicy defines inline password generation rules.


        This message contains a oneof named character_rules. Only a single field
        of the following list may be set at a time:
          - noRestrictions
          - customCharacters
          - excludedCharacters
      properties:
        customCharacters:
          description: >-
            The customCharacters field.

            This field is part of the `character_rules` oneof.

            See the documentation for
            `c1.api.automations.v1.GeneratePasswordPolicy` for more details.
          type:
            - string
            - 'null'
        excludedCharacters:
          description: >-
            The excludedCharacters field.

            This field is part of the `character_rules` oneof.

            See the documentation for
            `c1.api.automations.v1.GeneratePasswordPolicy` for more details.
          type:
            - string
            - 'null'
        maxCharacterCount:
          description: The maxCharacterCount field.
          format: int32
          type:
            - integer
            - 'null'
        minCharacterCount:
          description: The minCharacterCount field.
          format: int32
          type:
            - integer
            - 'null'
        noRestrictions:
          description: >-
            The noRestrictions field.

            This field is part of the `character_rules` oneof.

            See the documentation for
            `c1.api.automations.v1.GeneratePasswordPolicy` for more details.
          type:
            - boolean
            - 'null'
        requireLowercase:
          description: The requireLowercase field.
          type:
            - boolean
            - 'null'
        requireNumbers:
          description: The requireNumbers field.
          type:
            - boolean
            - 'null'
        requireSpecialCharacters:
          description: The requireSpecialCharacters field.
          type:
            - boolean
            - 'null'
        requireUppercase:
          description: The requireUppercase field.
          type:
            - boolean
            - 'null'
      title: Generate Password Policy
      type: object
      x-speakeasy-name-override: GeneratePasswordPolicy
    c1.api.automations.v1.GrantEntitlementExclusionCriteria:
      description: The GrantEntitlementExclusionCriteria message.
      properties:
        excludedAppIds:
          description: The excludedAppIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        excludedComplianceFrameworkIds:
          description: The excludedComplianceFrameworkIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        excludedRiskLevelIds:
          description: The excludedRiskLevelIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Grant Entitlement Exclusion Criteria
      type: object
      x-speakeasy-name-override: GrantEntitlementExclusionCriteria
    c1.api.automations.v1.GrantEntitlementExclusionList:
      description: The GrantEntitlementExclusionList message.
      properties:
        excludedAppEntitlementRefs:
          description: The excludedAppEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
      title: Grant Entitlement Exclusion List
      type: object
      x-speakeasy-name-override: GrantEntitlementExclusionList
    c1.api.automations.v1.GrantEntitlementExclusionListCel:
      description: The GrantEntitlementExclusionListCel message.
      properties:
        excludedAppEntitlementRefsCel:
          description: The excludedAppEntitlementRefsCel field.
          type:
            - string
            - 'null'
      title: Grant Entitlement Exclusion List Cel
      type: object
      x-speakeasy-name-override: GrantEntitlementExclusionListCel
    c1.api.automations.v1.GrantEntitlementExclusionNone:
      description: The GrantEntitlementExclusionNone message.
      title: Grant Entitlement Exclusion None
      type: object
      x-speakeasy-name-override: GrantEntitlementExclusionNone
    c1.api.automations.v1.GrantEntitlementInclusionCriteria:
      description: The GrantEntitlementInclusionCriteria message.
      properties:
        appIds:
          description: The appIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        complianceFrameworkIds:
          description: The complianceFrameworkIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        riskLevelIds:
          description: The riskLevelIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Grant Entitlement Inclusion Criteria
      type: object
      x-speakeasy-name-override: GrantEntitlementInclusionCriteria
    c1.api.automations.v1.GrantEntitlementInclusionList:
      description: The GrantEntitlementInclusionList message.
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
      title: Grant Entitlement Inclusion List
      type: object
      x-speakeasy-name-override: GrantEntitlementInclusionList
    c1.api.automations.v1.GrantEntitlementInclusionListCel:
      description: The GrantEntitlementInclusionListCel message.
      properties:
        appEntitlementRefsCel:
          description: The appEntitlementRefsCel field.
          type:
            - string
            - 'null'
      title: Grant Entitlement Inclusion List Cel
      type: object
      x-speakeasy-name-override: GrantEntitlementInclusionListCel
    c1.api.automations.v1.AutomationTemplateRef:
      description: The AutomationTemplateRef message.
      properties:
        id:
          description: The id field.
          type:
            - string
            - 'null'
      title: Automation Template Ref
      type: object
      x-speakeasy-name-override: AutomationTemplateRef
    c1.api.automations.v1.CloseAction:
      description: >
        The CloseAction message.


        This message contains a oneof named user_identifier. Only a single field
        of the following list may be set at a time:
          - userIdCel
          - userRef
      properties:
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `user_identifier` oneof.

            See the documentation for `c1.api.automations.v1.CloseAction` for
            more details.
          type:
            - string
            - 'null'
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
      title: Close Action
      type: object
      x-speakeasy-name-override: CloseAction
    c1.api.automations.v1.ReassignAction:
      description: >
        The ReassignAction message.


        This message contains a oneof named assignee_user_identifier. Only a
        single field of the following list may be set at a time:
          - assigneeUserIdCel
          - assigneeUserRef


        This message contains a oneof named subject_user_identifier. Only a
        single field of the following list may be set at a time:
          - subjectUserIdCel
          - subjectUserRef
      properties:
        assigneeUserIdCel:
          description: >-
            The assigneeUserIdCel field.

            This field is part of the `assignee_user_identifier` oneof.

            See the documentation for `c1.api.automations.v1.ReassignAction` for
            more details.
          type:
            - string
            - 'null'
        assigneeUserRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
        subjectUserIdCel:
          description: >-
            The subjectUserIdCel field.

            This field is part of the `subject_user_identifier` oneof.

            See the documentation for `c1.api.automations.v1.ReassignAction` for
            more details.
          type:
            - string
            - 'null'
        subjectUserRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          type:
            - boolean
            - 'null'
      title: Reassign Action
      type: object
      x-speakeasy-name-override: ReassignAction
    c1.api.automations.v1.ConflictMonitorRefs:
      description: The ConflictMonitorRefs message.
      properties:
        conflictMonitorRefs:
          description: The conflictMonitorRefs field.
          items:
            $ref: '#/components/schemas/c1.api.accessconflict.v1.ConflictMonitorRef'
          type:
            - array
            - 'null'
      title: Conflict Monitor Refs
      type: object
      x-speakeasy-name-override: ConflictMonitorRefs
    c1.api.automations.v1.GrantTriggerFilter:
      description: >
        The GrantTriggerFilter message.


        This message contains a oneof named entitlement_inclusion. Only a single
        field of the following list may be set at a time:
          - inclusionList
          - inclusionAll
          - inclusionCriteria
          - inclusionListCel
      properties:
        accountFilter:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantTriggerFilter.AccountFilter
            - type: 'null'
        grantFilter:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.GrantTriggerFilter.GrantFilter
            - type: 'null'
        inclusionAll:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionAll
            - type: 'null'
        inclusionCriteria:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionCriteria
            - type: 'null'
        inclusionList:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionList
            - type: 'null'
        inclusionListCel:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.automations.v1.EntitlementInclusionListCel
            - type: 'null'
      title: Grant Trigger Filter
      type: object
      x-speakeasy-name-override: GrantTriggerFilter
    c1.api.automations.v1.RunDelayed:
      description: The RunDelayed message.
      properties:
        coldStartDelayDays:
          description: The coldStartDelayDays field.
          format: uint32
          type:
            - integer
            - 'null'
      required:
        - coldStartDelayDays
      title: Run Delayed
      type: object
      x-speakeasy-name-override: RunDelayed
    c1.api.automations.v1.RunImmediately:
      description: No fields needed; this just indicates the trigger should run immediately
      title: Run Immediately
      type: object
      x-speakeasy-name-override: RunImmediately
    c1.api.automations.v1.WebhookListenerAuthCapabilityURL:
      description: >-
        Capability URL authentication: the URL itself contains an unguessable
        token that acts
         as the credential. This is simpler to integrate but less secure than JWT or HMAC because
         the token can leak via server logs, referrer headers, and URL sharing.
         See https://www.w3.org/TR/capability-urls/ for background.
      title: Webhook Listener Auth Capability Url
      type: object
      x-speakeasy-name-override: WebhookListenerAuthCapabilityURL
    c1.api.automations.v1.WebhookListenerAuthHMAC:
      description: The WebhookListenerAuthHMAC message.
      title: Webhook Listener Auth Hmac
      type: object
      x-speakeasy-name-override: WebhookListenerAuthHMAC
    c1.api.automations.v1.WebhookListenerAuthJWT:
      description: The WebhookListenerAuthJWT message.
      properties:
        jwksUrl:
          description: The jwksUrl field.
          type:
            - string
            - 'null'
      title: Webhook Listener Auth Jwt
      type: object
      x-speakeasy-name-override: WebhookListenerAuthJWT
    c1.api.accessconflict.v1.ConflictMonitorRef:
      description: The ConflictMonitorRef message.
      properties:
        id:
          description: The id field.
          type:
            - string
            - 'null'
      title: Conflict Monitor Ref
      type: object
      x-speakeasy-name-override: ConflictMonitorRef
    c1.api.automations.v1.GrantTriggerFilter.AccountFilter:
      description: The AccountFilter message.
      properties:
        accountType:
          description: The accountType field.
          enum:
            - APP_USER_TYPE_UNSPECIFIED
            - APP_USER_TYPE_USER
            - APP_USER_TYPE_SERVICE_ACCOUNT
            - APP_USER_TYPE_SYSTEM_ACCOUNT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Account Filter
      type: object
      x-speakeasy-name-override: AccountFilter
    c1.api.automations.v1.GrantTriggerFilter.GrantFilter:
      description: The GrantFilter message.
      properties:
        grantFilterType:
          description: The grantFilterType field.
          enum:
            - GRANT_FILTER_TYPE_UNSPECIFIED
            - GRANT_FILTER_TYPE_PERMANENT
            - GRANT_FILTER_TYPE_TEMPORARY
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        grantJustificationType:
          description: The grantJustificationType field.
          enum:
            - GRANT_JUSTIFICATION_TYPE_UNSPECIFIED
            - GRANT_JUSTIFICATION_TYPE_ALL
            - GRANT_JUSTIFICATION_TYPE_CONDUCTOR_ONE
            - GRANT_JUSTIFICATION_TYPE_DIRECT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        grantSourceFilter:
          description: The grantSourceFilter field.
          enum:
            - GRANT_SOURCE_FILTER_UNSPECIFIED
            - GRANT_SOURCE_FILTER_DIRECT
            - GRANT_SOURCE_FILTER_INHERITED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Grant Filter
      type: object
      x-speakeasy-name-override: GrantFilter
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````